package com.mortals.xhx.module.app.model;

import java.util.List;
import com.mortals.xhx.module.app.model.AppVersionEntity;
/**
 * 自助终端应用版本历史查询对象
 *
 * @author zxfei
 * @date 2022-12-01
 */
public class AppVersionQuery extends AppVersionEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 app应用Id */
    private Long appIdStart;

    /** 结束 app应用Id */
    private Long appIdEnd;

    /** 增加 app应用Id */
    private Long appIdIncrement;

    /** app应用Id列表 */
    private List <Long> appIdList;

    /** 应用名称 */
    private List<String> appNameList;

    /** 开始 版本号 */
    private Integer versionStart;

    /** 结束 版本号 */
    private Integer versionEnd;

    /** 增加 版本号 */
    private Integer versionIncrement;

    /** 版本号列表 */
    private List <Integer> versionList;

    /** 更新说明 */
    private List<String> notesList;

    /** 文件名称 */
    private List<String> fileNameList;

    /** 文件相对路径地址 */
    private List<String> filePathList;

    /** 文件部署路径地址 */
    private List<String> distributeFilePathList;

    /** 开始 是否使用(0.否，1.是) */
    private Integer usedStart;

    /** 结束 是否使用(0.否，1.是) */
    private Integer usedEnd;

    /** 增加 是否使用(0.否，1.是) */
    private Integer usedIncrement;

    /** 是否使用(0.否，1.是)列表 */
    private List <Integer> usedList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppVersionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppVersionQuery> andConditionList;

    public AppVersionQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 app应用Id
     * @return appIdStart
     */
    public Long getAppIdStart(){
        return this.appIdStart;
    }

    /**
     * 设置 开始 app应用Id
     * @param appIdStart
     */
    public void setAppIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
    }

    /**
     * 获取 结束 app应用Id
     * @return $appIdEnd
     */
    public Long getAppIdEnd(){
        return this.appIdEnd;
    }

    /**
     * 设置 结束 app应用Id
     * @param appIdEnd
     */
    public void setAppIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
    }

    /**
     * 获取 增加 app应用Id
     * @return appIdIncrement
     */
    public Long getAppIdIncrement(){
        return this.appIdIncrement;
    }

    /**
     * 设置 增加 app应用Id
     * @param appIdIncrement
     */
    public void setAppIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
    }

    /**
     * 获取 app应用Id
     * @return appIdList
     */
    public List<Long> getAppIdList(){
        return this.appIdList;
    }

    /**
     * 设置 app应用Id
     * @param appIdList
     */
    public void setAppIdList(List<Long> appIdList){
        this.appIdList = appIdList;
    }

    /**
     * 获取 应用名称
     * @return appNameList
     */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }
    /**
     * 获取 开始 版本号
     * @return versionStart
     */
    public Integer getVersionStart(){
        return this.versionStart;
    }

    /**
     * 设置 开始 版本号
     * @param versionStart
     */
    public void setVersionStart(Integer versionStart){
        this.versionStart = versionStart;
    }

    /**
     * 获取 结束 版本号
     * @return $versionEnd
     */
    public Integer getVersionEnd(){
        return this.versionEnd;
    }

    /**
     * 设置 结束 版本号
     * @param versionEnd
     */
    public void setVersionEnd(Integer versionEnd){
        this.versionEnd = versionEnd;
    }

    /**
     * 获取 增加 版本号
     * @return versionIncrement
     */
    public Integer getVersionIncrement(){
        return this.versionIncrement;
    }

    /**
     * 设置 增加 版本号
     * @param versionIncrement
     */
    public void setVersionIncrement(Integer versionIncrement){
        this.versionIncrement = versionIncrement;
    }

    /**
     * 获取 版本号
     * @return versionList
     */
    public List<Integer> getVersionList(){
        return this.versionList;
    }

    /**
     * 设置 版本号
     * @param versionList
     */
    public void setVersionList(List<Integer> versionList){
        this.versionList = versionList;
    }

    /**
     * 获取 更新说明
     * @return notesList
     */
    public List<String> getNotesList(){
        return this.notesList;
    }

    /**
     * 设置 更新说明
     * @param notesList
     */
    public void setNotesList(List<String> notesList){
        this.notesList = notesList;
    }
    /**
     * 获取 文件名称
     * @return fileNameList
     */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
     * 设置 文件名称
     * @param fileNameList
     */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
     * 获取 文件相对路径地址
     * @return filePathList
     */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathList
     */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }
    /**
     * 获取 文件部署路径地址
     * @return distributeFilePathList
     */
    public List<String> getDistributeFilePathList(){
        return this.distributeFilePathList;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathList
     */
    public void setDistributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
    }
    /**
     * 获取 开始 是否使用(0.否，1.是)
     * @return usedStart
     */
    public Integer getUsedStart(){
        return this.usedStart;
    }

    /**
     * 设置 开始 是否使用(0.否，1.是)
     * @param usedStart
     */
    public void setUsedStart(Integer usedStart){
        this.usedStart = usedStart;
    }

    /**
     * 获取 结束 是否使用(0.否，1.是)
     * @return $usedEnd
     */
    public Integer getUsedEnd(){
        return this.usedEnd;
    }

    /**
     * 设置 结束 是否使用(0.否，1.是)
     * @param usedEnd
     */
    public void setUsedEnd(Integer usedEnd){
        this.usedEnd = usedEnd;
    }

    /**
     * 获取 增加 是否使用(0.否，1.是)
     * @return usedIncrement
     */
    public Integer getUsedIncrement(){
        return this.usedIncrement;
    }

    /**
     * 设置 增加 是否使用(0.否，1.是)
     * @param usedIncrement
     */
    public void setUsedIncrement(Integer usedIncrement){
        this.usedIncrement = usedIncrement;
    }

    /**
     * 获取 是否使用(0.否，1.是)
     * @return usedList
     */
    public List<Integer> getUsedList(){
        return this.usedList;
    }

    /**
     * 设置 是否使用(0.否，1.是)
     * @param usedList
     */
    public void setUsedList(List<Integer> usedList){
        this.usedList = usedList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public AppVersionQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public AppVersionQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public AppVersionQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public AppVersionQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public AppVersionQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  app应用Id
     * @param appId
     */
    public AppVersionQuery appId(Long appId){
        setAppId(appId);
        return this;
    }

    /**
     * 设置 开始 app应用Id
     * @param appIdStart
     */
    public AppVersionQuery appIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
        return this;
    }

    /**
     * 设置 结束 app应用Id
     * @param appIdEnd
     */
    public AppVersionQuery appIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
        return this;
    }

    /**
     * 设置 增加 app应用Id
     * @param appIdIncrement
     */
    public AppVersionQuery appIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
        return this;
    }

    /**
     * 设置 app应用Id
     * @param appIdList
     */
    public AppVersionQuery appIdList(List<Long> appIdList){
        this.appIdList = appIdList;
        return this;
    }


    /**
     * 设置 应用名称
     * @param appName
     */
    public AppVersionQuery appName(String appName){
        setAppName(appName);
        return this;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public AppVersionQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
        return this;
    }

    /**
     * 设置  版本号
     * @param version
     */
    public AppVersionQuery version(Integer version){
        setVersion(version);
        return this;
    }

    /**
     * 设置 开始 版本号
     * @param versionStart
     */
    public AppVersionQuery versionStart(Integer versionStart){
        this.versionStart = versionStart;
        return this;
    }

    /**
     * 设置 结束 版本号
     * @param versionEnd
     */
    public AppVersionQuery versionEnd(Integer versionEnd){
        this.versionEnd = versionEnd;
        return this;
    }

    /**
     * 设置 增加 版本号
     * @param versionIncrement
     */
    public AppVersionQuery versionIncrement(Integer versionIncrement){
        this.versionIncrement = versionIncrement;
        return this;
    }

    /**
     * 设置 版本号
     * @param versionList
     */
    public AppVersionQuery versionList(List<Integer> versionList){
        this.versionList = versionList;
        return this;
    }


    /**
     * 设置 更新说明
     * @param notes
     */
    public AppVersionQuery notes(String notes){
        setNotes(notes);
        return this;
    }

    /**
     * 设置 更新说明
     * @param notesList
     */
    public AppVersionQuery notesList(List<String> notesList){
        this.notesList = notesList;
        return this;
    }


    /**
     * 设置 文件名称
     * @param fileName
     */
    public AppVersionQuery fileName(String fileName){
        setFileName(fileName);
        return this;
    }

    /**
     * 设置 文件名称
     * @param fileNameList
     */
    public AppVersionQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
        return this;
    }


    /**
     * 设置 文件相对路径地址
     * @param filePath
     */
    public AppVersionQuery filePath(String filePath){
        setFilePath(filePath);
        return this;
    }

    /**
     * 设置 文件相对路径地址
     * @param filePathList
     */
    public AppVersionQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
        return this;
    }


    /**
     * 设置 文件部署路径地址
     * @param distributeFilePath
     */
    public AppVersionQuery distributeFilePath(String distributeFilePath){
        setDistributeFilePath(distributeFilePath);
        return this;
    }

    /**
     * 设置 文件部署路径地址
     * @param distributeFilePathList
     */
    public AppVersionQuery distributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
        return this;
    }

    /**
     * 设置  是否使用(0.否，1.是)
     * @param used
     */
    public AppVersionQuery used(Integer used){
        setUsed(used);
        return this;
    }

    /**
     * 设置 开始 是否使用(0.否，1.是)
     * @param usedStart
     */
    public AppVersionQuery usedStart(Integer usedStart){
        this.usedStart = usedStart;
        return this;
    }

    /**
     * 设置 结束 是否使用(0.否，1.是)
     * @param usedEnd
     */
    public AppVersionQuery usedEnd(Integer usedEnd){
        this.usedEnd = usedEnd;
        return this;
    }

    /**
     * 设置 增加 是否使用(0.否，1.是)
     * @param usedIncrement
     */
    public AppVersionQuery usedIncrement(Integer usedIncrement){
        this.usedIncrement = usedIncrement;
        return this;
    }

    /**
     * 设置 是否使用(0.否，1.是)
     * @param usedList
     */
    public AppVersionQuery usedList(List<Integer> usedList){
        this.usedList = usedList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AppVersionQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AppVersionQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AppVersionQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AppVersionQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AppVersionQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AppVersionQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AppVersionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AppVersionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AppVersionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}