package com.mortals.xhx.module.single.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.single.dao.SingleMatterDao;
import com.mortals.xhx.module.single.model.SingleMatterEntity;
import com.mortals.xhx.module.single.service.SingleMatterService;

import java.util.HashMap;
import java.util.Map;

/**
* SingleMatterService
* 单事项 service实现
*
* @author zxfei
* @date 2023-03-21
*/
@Service("singleMatterService")
public class SingleMatterServiceImpl extends AbstractCRUDServiceImpl<SingleMatterDao, SingleMatterEntity, Long> implements SingleMatterService {

    @Override
    public void addViewsCount(Long id) {
        Map<String,Object> data = new HashMap<>();
        data.put("viewsCountIncrement",1);
        Map<String,Object> condition = new HashMap<>();
        condition.put("id",id);
        dao.update(data,condition);
    }
}